CVE-2008-2489

Current Description

SQL injection vulnerability in the Library for Frontend Plugins (aka sg_zfelib) extension 1.1.512 and earlier for TYPO3 allows remote attackers to execute arbitrary SQL commands via unspecified "user input."

Basic Data

PublishedMay 28, 2008
Last ModifiedAugust 08, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-89
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegetrue

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationTypo3Sg Zfelib********1.1.512

Vulnerable Software List

VendorProductVersions
Typo3 Sg Zfelib *

References

NameSourceURLTags
30400http://secunia.com/advisories/30400SECUNIAVendor Advisory
http://typo3.org/teams/security/security-bulletins/typo3-20080527-2/http://typo3.org/teams/security/security-bulletins/typo3-20080527-2/CONFIRMPATCH
ADV-2008-1665http://www.vupen.com/english/advisories/2008/1665/referencesVUPEN
sqzfelib-unspecified-sql-injection(42625)https://exchange.xforce.ibmcloud.com/vulnerabilities/42625XF